6.0.0-git
2019-04-21

[#13739] iTips not decoded properly in EAS.
Summary iTips not decoded properly in EAS.
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2014-12-05 (1598 days ago)
Due
Updated 2014-12-15 (1588 days ago)
Assigned 2014-12-09 (1594 days ago)
Resolved 2014-12-15 (1588 days ago)
Milestone
Patch No

History
2014-12-15 16:36:57 Michael Rubinsky Comment #4
State ⇒ Resolved
Reply to this comment
Horde_ActiveSync 2.21.0
2014-12-15 16:36:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit c8c1a2245d7e355b6475415ffd134d78422ac5d6
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Dec 15 11:21:27 2014 -0500

     Bug: 13739 Fix returning text/calendar data when not requesting 
MIME messages.

     The MIME part's contents might not be set, so check if we need to
     fetch it from the server before returning.

     Bu

  .../lib/Horde/ActiveSync/Imap/Message.php          |   10 +++++++++-
  framework/ActiveSync/lib/Horde/ActiveSync/Mime.php |    5 +++--
  2 files changed, 12 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/c8c1a2245d7e355b6475415ffd134d78422ac5d6
2014-12-09 15:09:52 Michael Rubinsky Comment #2
Summary ⇒ iTips not decoded properly in EAS.
Reply to this comment
Looks like it's a more general problem.
2014-12-09 15:09:05 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2014-12-05 14:56:22 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Invitation emails from Office 365 not decoded properly.
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
From SImon:

I have 3 accounts in Nine. One is a normal Microsoft Exchange account, 
one is a full native Office 365 account, one is a Horde account.

On the Office 365 system I receive internal invites fine. These work 
in Nine as expected. Same with native Exchange system invites.

On the Horde system I received a meeting invite from someone who is on 
Office 365. This arrived as a base64 encoded email and synced to Nine 
as an email with an unreadable attachment, no indication that it is a 
meeting at all.

The same invite displays in native Horde Webmail as an invitation.

If I forward the invite to my native Exchange account it then syncs to 
my device in that account with an ics file, which I assume is the 
decoded base64 attachment that was not decoded in the sync from Horde.

So what I think is happening is that the invite is sent to me as a 
base64 encoded ics because I'm not on his Office365 system. Horde 
syncing with Nine does not decode this, so I have no way of doing 
anything with it.

Not sure if it's a Horde sync issue or a Nine issue. The fact that 
sending it through  native Exchange decodes it to Nine Ok as an ics 
(even though Nine can't handle the ics..... yet)  leads me to think 
this may be a Horde sync issue.

I have cced Mike Rubinsky at Horde.

Thanks
Simon

Saved Queries